diff -aruN --binary 14/plugins/system/legacy/adminmenus.php 15/plugins/system/legacy/adminmenus.php
--- 14/plugins/system/legacy/adminmenus.php	2009-05-29 14:51:58.000000000 +0200
+++ 15/plugins/system/legacy/adminmenus.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: adminmenus.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: adminmenus.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla.Legacy
 * @subpackage	1.5
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -310,7 +310,7 @@
 			if ( is_dir( $i_f ) && $file <> 'CVS' && $file <> '.svn') {
 				$folders[] = JHTML::_('select.option',  $ff_ );
 				mosAdminMenus::ReadImages( $i_f, $ff_, $folders, $images );
-			} else if ( eregi( "bmp|gif|jpg|png", $file ) && is_file( $i_f ) ) {
+			} else if ( preg_match( "#bmp|gif|jpg|png#i", $file ) && is_file( $i_f ) ) {
 				// leading / we don't need
 				$imageFile = substr( $ff, 1 );
 				$images[$folderPath][] = JHTML::_('select.option',  $imageFile, $file );
@@ -413,4 +413,4 @@
 	{
 		JError::raiseNotice( 0, 'mosAdminMenus::menuItem method deprecated' );
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 14/plugins/system/sef.php 15/plugins/system/sef.php
--- 14/plugins/system/sef.php	2009-05-29 14:51:58.000000000 +0200
+++ 15/plugins/system/sef.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: sef.php 11658 2009-03-08 20:09:39Z willebil $
+* @version		$Id: sef.php 13376 2009-10-29 01:44:22Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -53,7 +53,22 @@
 		//Replace src links
       	$base   = JURI::base(true).'/';
 		$buffer = JResponse::getBody();
+		
+		// pull out contents of editor to prevent URL changes inside edit area
+		$editor =& JFactory::getEditor();
+		$regex = '#'.$editor->_tagForSEF['start'].'(.*)'.$editor->_tagForSEF['end'].'#Us';
+		preg_match_all($regex, $buffer, $editContents, PREG_PATTERN_ORDER);
+
+		// create an array to hold the placeholder text (in case there are more than one editor areas)
+		$placeholders = array();
+		for ($i = 0; $i < count($editContents[0]); $i++) {
+			$placeholders[] = $editor->_tagForSEF['start'].$i.$editor->_tagForSEF['end'];
+		}
+		
+		// replace editor contents with placeholder text
+		$buffer 	= str_replace($editContents[0], $placeholders, $buffer);
 
+		// do the SEF substitutions
        	$regex  = '#href="index.php\?([^"]*)#m';
       	$buffer = preg_replace_callback( $regex, array('plgSystemSEF', 'route'), $buffer );
 
@@ -83,6 +98,9 @@
 		$regex = 	'#(<object\s+[^>]*)data\s*=\s*"(?!/|'.$protocols.'|\#|\')([^"]*)"#m';
 		$buffer 	= preg_replace($regex, '$1data="' . $base . '$2"$3', $buffer);
 		
+		// restore the editor contents
+		$buffer 	= str_replace($placeholders, $editContents[0], $buffer);
+		
 		JResponse::setBody($buffer);
 		return true;
 	}
diff -aruN --binary 14/plugins/xmlrpc/joomla.php 15/plugins/xmlrpc/joomla.php
--- 14/plugins/xmlrpc/joomla.php	2009-05-29 14:52:00.000000000 +0200
+++ 15/plugins/xmlrpc/joomla.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: joomla.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: joomla.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -102,10 +102,10 @@
 		foreach ($results as $i=>$rows)
 		{
 			foreach ($rows as $j=>$row) {
-				$results[$i][$j]->href = eregi('^(http|https)://', $row->href) ? $row->href : JURI::root().'/'.$row->href;
+				$results[$i][$j]->href = preg_match('#^(http|https)://#i', $row->href) ? $row->href : JURI::root().'/'.$row->href;
 				$results[$i][$j]->text = SearchHelper::prepareSearchContent( $row->text, 200, $searchword);
 			}
 		}
 		return $results;
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
